Chapter 3. Kernel Objects
Prev | Part I. Kernel | Next

## Chapter 3. Kernel Objects

Kernel Objects, or Kobj provides an object-oriented C programming system for the kernel. As such the data being operated on carries the description of how to operate on it. This allows operations to be added and removed from an interface at run time and without breaking binary compatibility.

## 3.1. Terminology

Object

  A set of data - data structure - data allocation.

Method

  An operation - function.

Class

  One or more methods.

Interface

  A standard set of one or more methods.

Prev | Up | Next
2.3. Atomically Protected Variables | Home | 3.2. Kobj Operation

This, and other documents, can be downloaded from http://ftp.FreeBSD.org/pub/FreeBSD/doc/

For questions about FreeBSD, read the documentation before contacting <questions@FreeBSD.org>.
For questions about this documentation, e-mail <doc@FreeBSD.org>.